<?php
/*
TuxBoard forum script
Copyright (C) 2013  Colin Murphy

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

session_start();
require_once("config.php");

if ($_SESSION["tb_username"] and $_SESSION["tb_password"]) { header("Location: index.php"); exit; }


if ($_POST["username"] and $_POST["password"]) {
	$username = htmlentities(stripslashes($_POST["username"]), ENT_QUOTES);
	$password = htmlentities(stripslashes($_POST["password"]), ENT_QUOTES);
	if(file_exists($config["userdata"] . "$username.php")) {
		# User exists.
		$hashedpass = md5(sha1(crc32($password)));
		include($config["userdata"] . "$username.php");
		if ($tbPassword == $hashedpass) {
				$_SESSION["tb_username"] = $username;
				$_SESSION["tb_password"] = $hashedpass;
				header("Location: index.php"); exit;
		}
		else
		{
			$ptitle = "Error - " . $config["title"];
			include($config["themes"] . $config["theme"] . "/header.html");
			echo "<div class=\"error\">The password you specified is incorrect. <a href=\"register.php\">Login</a></div>";
			include($config["themes"] . $config["theme"] . "/footer.html");
		}
	}
	else
	{
		$ptitle = "Error - " . $config["title"];
		include($config["themes"] . $config["theme"] . "/header.html");
		echo "<div class=\"error\">The user account specified ($username) doesn't exist. <a href=\"register.php\">You can register here</a>.</div>";
		include($config["themes"] . $config["theme"] . "/footer.html");
	}
}
else
{
	$ptitle = "Login - " . $config["title"];
	include($config["themes"] . $config["theme"] . "/header.html");
	?>
	<h1>Login</h1>
	<p>If you don't have an account, you can <a href="register.php">sign up</a> on the forums.</p>
	<form action="login.php" method="post">
		<table>
			<tr><td><strong>Username:</strong></td><td><input type="text" name="username"></tr>
			<tr><td><strong>Password:</strong></td><td><input type="password" name="password"></tr>
			<tr><td></td><td><input type="submit" value="Login"></tr>
		</table>
	</form>
	<?php
	include($config["themes"] . $config["theme"] . "/footer.html");
}
?>
