<?php
/*
TuxBoard forum script
Copyright (C) 2013  Colin Murphy

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

session_start();
require_once("config.php");

if ($_POST["username"] and $_POST["password"]) {
	$username = htmlentities(stripslashes($_POST["username"]), ENT_QUOTES);
	$password = htmlentities(stripslashes($_POST["password"]), ENT_QUOTES);
	if(file_exists($config["userdata"] . "$username.php")) {
		# User exists.
		$ptitle = "Error - " . $config["title"];
		include($config["themes"] . $config["theme"] . "/header.html");
		echo "<div class=\"error\">The username specified already exists. <a href=\"register.php\">Try again</a>";
		include($config["themes"] . $config["theme"] . "/footer.html");
	}
	else
	{
		# user doesn't exist. make it.
		$hashedpass = md5(sha1(crc32($password)));
		file_put_contents($config["userdata"] . "$username.php", "<?php
\$tbUsername = \"$username\";
\$tbPassword = \"$hashedpass\";
?>");
		file_put_contents($config["userdata"] . "$username.rank", $config["default_rank"]);
		file_put_contents($config["userdata"] . "$username.color", $config["default_color"]);
		file_put_contents($config["userdata"] . "$username.age", "");
		file_put_contents($config["userdata"] . "$username.web", "");
		file_put_contents($config["userdata"] . "$username.posts", "");
		file_put_contents($config["userdata"] . "$username.topics", "");
	$ptitle = "Register - " . $config["title"];
	include($config["themes"] . $config["theme"] . "/header.html");
	echo "<div class=\"box\">You have registered. <a href=\"login.php\">Log in here</a>.</div>";
	include($config["themes"] . $config["theme"] . "/footer.html");
	}
}
else
{
	$ptitle = "Register - " . $config["title"];
	include($config["themes"] . $config["theme"] . "/header.html");
	?>
	<h1>Register</h1>
	<form action="register.php" method="post">
		<table>
			<tr><td><strong>Username:</strong></td><td><input type="text" name="username"></tr>
			<tr><td><strong>Password:</strong></td><td><input type="password" name="password"></tr>
			<tr><td></td><td><input type="submit" value="Register"></tr>
		</table>
	</form>
	<?php
	include($config["themes"] . $config["theme"] . "/footer.html");
}
?>
